Name:           bleachbit
Version:        1.12
Release:        2%{?dist}
Summary:        Python utility to free disk space and improve privacy
License:        GPLv3+
URL:            https://www.bleachbit.org/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildArch:      noarch
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  python2-devel
Requires:       gnome-python2
Requires:       pygtk2

%description
BleachBit deletes unnecessary files to free valuable disk space, maintain 
privacy, and remove junk. Rid your system of old clutter including cache, 
cookies, Internet history, localizations, logs, temporary files, and broken 
shortcuts. It wipes clean the cache and history list of many common programs. 

%prep
%setup -q

# Disable update notifications or it will left collecting unemployment of 
# yum/dnf and myself...
sed -i -e '\@online_update_notification_enabled@s/^.*$/online_update_notification_enabled = False/g' \
bleachbit/Common.py && egrep online_update_notification_enabled[[:space:]]=[[:space:]]False bleachbit/Common.py

# Drop deprecated line in desktop file.
sed -i '/Encoding/d' bleachbit.desktop

# Drop env shebangs as files in %%_datadir usually don't need this.
find bleachbit/ -type f -name '*.py' -exec sed -i '1{\@^#!/usr/bin/env python@d}' {} +

%build
make -C po local 
%{__python2} setup.py build

%install
%make_install INSTALL="install -p" prefix=%{_prefix}

# Drop cleaners for Microsoft Windows only.
find %{buildroot}%{_datadir}/%{name}/cleaners/ -type f -name '*.xml' \
-exec egrep -rl os.*windows {} + | xargs rm -fv

# Correct shebang of bleachbit executable.
sed -i 's|/usr/bin/env python|%{__python2}|' %{buildroot}%{_bindir}/bleachbit

%find_lang %{name}

%check
make -C cleaners tests
# test_start_with_computer will not be executed successfully as the relevant 
# privileges are not granted for normal users for creating symlinks to 
# /usr/share.
%{__python2} tests/TestUnix.py -v || true
desktop-file-validate %{buildroot}%{_datadir}/applications/bleachbit.desktop

%files -f %{name}.lang
%doc README*
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.png
%exclude %{_datadir}/%{name}/Windows.py*

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 05 2016 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1.12-1
- Update to 1.12

* Thu Apr 14 2016 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1.10-1
- Update to 1.10
- Updated package URL

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Aug 01 2015 Christopher Meng <rpm@cicku.me> - 1.9.0-1
- Update to 1.9.0

* Fri Jul 24 2015 Christopher Meng <rpm@cicku.me> - 1.8-1
- Update to 1.8

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Nov 27 2014 Christopher Meng <rpm@cicku.me> - 1.6-1
- Update to 1.6

* Tue Sep 16 2014 Christopher Meng <rpm@cicku.me> - 1.4-1
- Update to 1.4

* Fri Aug 15 2014 Christopher Meng <rpm@cicku.me> - 1.3-1
- Update to 1.3

* Fri Jun 20 2014 Christopher Meng <rpm@cicku.me> - 1.2-1
- Update to 1.2

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Christopher Meng <rpm@cicku.me> - 1.1-1
- Update to 1.1

* Fri Jan 24 2014 Christopher Meng <rpm@cicku.me> - 1.0-1
- Update to 1.0(BZ#981346).

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jan 24 2013 Rahul Sundaram <sundaram@fedoraproject.org> - 0.9.5-1
- update to 0.9.5 release
- http://bleachbit.sourceforge.net/news/bleachbit-095

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 22 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 0.8.7-1
- http://bleachbit.sourceforge.net/news/bleachbit-087

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 29 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 0.8.4-1
- http://bleachbit.sourceforge.net/news/bleachbit-084

* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 0.8.0-2
- recompiling .py files against Python 2.7 (rhbz#623279)

* Tue Jun 08 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 0.8.0-1
- http://bleachbit.sourceforge.net/news/bleachbit-080-released

* Tue Feb 23 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 0.7.3-1
- http://bleachbit.sourceforge.net/news/bleachbit-073-released

* Thu Nov 26 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.7.1-1
* http://bleachbit.sourceforge.net/news/bleachbit-071-released

* Fri Oct 23 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.7.0-1
- http://bleachbit.sourceforge.net/news/bleachbit-070-released

* Thu Oct 01 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.6.5-1
- Support for cleaning Google Chrome
- http://bleachbit.sourceforge.net/news/bleachbit-065-released

* Wed Sep 23 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.6.4-1
- Updated directly from 0.6.1. Upstream skipped 0.6.2 release
- http://bleachbit.blogspot.com/2009/08/bleachbit-063-released.html
- http://bleachbit.sourceforge.net/news/bleachbit-064-released

* Tue Aug 18 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.6.1-1
- new upstream release
- http://bleachbit.blogspot.com/2009/08/bleachbit-061-released.html

* Mon Aug 03 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.6.0-1
- new upstream release
- http://bleachbit.blogspot.com/2009/08/bleachbit-cleaner-060-released.html

* Sat Jul 25 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.5.4-3
- Fix timestamp, add dist tag

* Sat Jul 18 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.5.4-2
- Fix review issues

* Sat Jul 18 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.5.4-1
- initial spec
